import { LifeCycle } from 'miniprogram-network-life-cycle';
import { WxQueue } from 'miniprogram-queue';
import { transfomDownloadSendDefault } from './transform';
// tslint:disable-next-line: no-use-before-declare
const downloadQueue = /*#__PURE__*/ new WxQueue(wx.downloadFile);
/**
 * 下载封装
 * @template T 扩展参数类型
 */
export class Downloader extends LifeCycle {
    /**
     * 新建 Http实列
     * @param config 全局默认配置
     */
    constructor(config, downloader) {
        super(downloader || downloadQueue.push.bind(downloadQueue), 
        // tslint:disable-next-line: no-object-literal-type-assertion
        config || { transformSend: transfomDownloadSendDefault });
    }
    download() {
        const isMultiParam = typeof arguments[0] === 'string';
        // tslint:disable-next-line: no-unsafe-any
        const options = isMultiParam ? (arguments[2] || {}) : arguments[0];
        if (isMultiParam) {
            options.url = arguments[0];
            options.filePath = arguments[1];
        }
        return this.process(options);
    }
}
//# sourceMappingURL=downloader.js.map