import { buildParams, getCommonOptions } from 'miniprogram-network-utils';
/**
 * 默认下载请求参数构建方法
 * @param data - 完整配置参数
 */
export function transfomDownloadSendDefault(data) {
    return getCommonOptions({
        url: buildParams(data.url, data.params, data.baseURL),
        header: data.headers
    }, data, ['filePath']);
}
/**
 * 正确返回返回数据处理方式
 * @param res - 返回结果
 * @param config - 完整参数
 */
export function transformDownloadResponseOkData(res, options) {
    if (res.statusCode < 200 || res.statusCode >= 300) {
        throw res;
    }
    return res.tempFilePath;
}
//# sourceMappingURL=transform.js.map