import { Omit } from 'miniprogram-network-utils';
import { FullDownloadOption, wx } from './downloader';
/**
 * 微信请求参数 (不包含回调函数)
 */
export declare type DownloadParams = Omit<wx.DownloadFileOption, 'success' | 'fail' | 'complete'>;
/**
 * 默认下载请求参数构建方法
 * @param data - 完整配置参数
 */
export declare function transfomDownloadSendDefault<T extends {} = {}>(data: T & FullDownloadOption<T>): DownloadParams;
/**
 * 正确返回返回数据处理方式
 * @param res - 返回结果
 * @param config - 完整参数
 */
export declare function transformDownloadResponseOkData(res: Parameters<NonNullable<wx.DownloadFileOption['success']>>[0], options: FullDownloadOption): string;
//# sourceMappingURL=transform.d.ts.map